Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Fri, 24 Jun 2022 04:21:56 +0000

Hi Hilah Alolayan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Dear Team Splash,  My experience is extremely poor with your delivery service . I cannot expect worst than this . I Have ordered my products two times and situation remains same till now. Though I have complaint to customer care almost 02 times in first delivery attempt and 03 times during my second delivery attempt. If you guys do not want to deliver products then please do not show this option to customer . I am waiting for my product and status is not updated,  i have nothing wrong in my location but the fact is delivery boy never called me nor had any communication in any form but every time the product says out for delivery and after a while it shows location not found. how come i am staying in a hotel and it;s a centre location on riyadh even though they say wrong location i have checked 20 times about my location no issues as other websites easily delivering 
 item, only the problem is from your side. In this today modern world people trying to reach planet MARS , but your delivery taking more than that. Kindly deliver my order i will be very grateful to you. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4536413